<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameter: resultGui: shall inherit from AbstractProcessingBeanGui -->
    <a4j:commandButton value="#{messages['net.ihe.gazelle.evs.MakeThisResultPublic']}"
                       title="#{messages['net.ihe.gazelle.EVSClient-ui.EverybodyWillHaveAccessToThisResult']}"
                       actionListener="#{resultGui.makeResultPublic()}"
                       styleClass="gzl-btn-blue"
                       render="#{idToRender}"
                       rendered="#{identity.loggedIn
                                   and resultGui.selectedObject.sharing.isPrivate
                                   and resultGui.selectedObject.owner.username == identity.username}"/>
    <a4j:commandButton value="#{messages['net.ihe.gazelle.evs.ShareThisResult']}"
                       title="#{messages['net.ihe.gazelle.EVSClient-ui.OnlyTheUsersWhoKnowThePermanentLinkWillHaveAcces']}"
                       actionListener="#{resultGui.shareResult()}"
                       rendered="#{identity.loggedIn
                                   and resultGui.selectedObject.sharing.isPrivate
                                   and empty resultGui.selectedObject.sharing.privacyKey
                                   and resultGui.selectedObject.owner.username == identity.username}"
                       styleClass="gzl-btn-blue"
                       render="#{idToRender}"/>
    <a4j:commandButton value="#{messages['net.ihe.gazelle.EVSClient-ui.StopSharingThisResult']}"
                       actionListener="#{resultGui.makeResultPrivate()}"
                       rendered="#{identity.loggedIn
                                   and not empty resultGui.selectedObject.sharing.privacyKey
                                   and resultGui.selectedObject.owner.username == identity.username}"
                       styleClass="gzl-btn-blue"
                       render="#{idToRender}"/>
    <a4j:commandButton value="#{messages['net.ihe.gazelle.evs.MakeThisResultPrivate']}"
                       title="#{messages['net.ihe.gazelle.EVSClient-ui.ThisResultWillOnlyBeAccessibleByYouAndMonitors']}"
                       rendered="#{identity.loggedIn
                                   and not resultGui.selectedObject.sharing.isPrivate
                                   and resultGui.selectedObject.owner.username == identity.username}"
                       actionListener="#{resultGui.makeResultPrivate()}"
                       styleClass="gzl-btn-blue"
                       render="#{idToRender}"/>
    <a4j:commandButton id="reusedMessageButton"
                       oncomplete="jq162('#confirmAgainPopup').modal('show')"
                       value="#{messages['net.ihe.gazelle.evs.ValidateAgain']}" styleClass="gzl-btn-blue"/>
    <a4j:commandButton id="newValidationBtn"
                       action="#{resultGui.performAnotherValidation()}"
                       value="#{messages['net.ihe.gazelle.evsclient.PerformAnotherValidation']}" styleClass="gzl-btn-blue"/>
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="confirmAgainPopup"/>
        <ui:define name="popup_title">#{messages['net.ihe.gazelle.evs.Confirmation']}</ui:define>
        <h:outputText value="#{messages['net.ihe.gazelle.evs.PerformingANewValidationOnThisSampleWillOverride']}"/>
        <br/>
        <h:outputText value="#{messages['net.ihe.gazelle.evs.DoYouWantToContinue']}"/>
        <ui:define name="popup_footer">
            <a4j:commandButton id="confirmButton"
                               action="#{resultGui.revalidate()}"
                               value="#{messages['net.ihe.gazelle.xval.Yes']}" styleClass="gzl-btn-orange"/>
            <a4j:commandButton value="#{messages['gazelle.common.no']}"
                               oncomplete="jq162('#confirmAgainPopup').modal('hide')"
                               styleClass="gzl-btn"/>
        </ui:define>
    </ui:decorate>
</ui:composition>